org.wildfly.swarm.config.elytron

## Class ConstantPrincipalDecoder<T extends ConstantPrincipalDecoder<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.ConstantPrincipalDecoder<T>

-     public class ConstantPrincipalDecoder<T extends ConstantPrincipalDecoder<T>>
      extends Object

  Definition of a principal decoder that always returns the same constant.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantPrincipalDecoder(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `constant()` The constant value the principal decoder will always return.
    `T` | `constant(String value)` The constant value the principal decoder will always return.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantPrincipalDecoder

          public ConstantPrincipalDecoder(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### constant

          public String constant()

      The constant value the principal decoder will always return.

    - #### constant

          public T constant(String value)

      The constant value the principal decoder will always return.

Copyright © 2018 JBoss by Red Hat. All rights reserved.